%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-cinder
Version:        10.3.1
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Cinder
License:        Apache-2.0

URL:            https://launchpad.net/puppet-cinder

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=+1
Patch0001: 0001-Add-support-for-Cinder-NAS-secure-driver-params.patch
Patch0002: 0002-Dell-SC-Add-exclude_domain_ip-option.patch
Patch0003: 0003-Dell-SC-Add-secondary-DSM-support.patch
Patch0004: 0004-Fix-path-to-ScaleIO-backend-driver.patch
Patch0005: 0005-Read-os_region_name-from-cinder.conf-when-doing-requ.patch
Patch0006: 0006-Always-set-keymgr_api_class.patch
Patch0007: 0007-ocata-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0008: 0008-Add-support-for-Dell-EMC-VMAX-ISCSI-backend.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-rabbitmq
Requires:       puppet-oslo
Requires:       puppet-openstacklib
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Cinder

%prep
%setup -q -n openstack-cinder-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder/



%files
%{_datadir}/openstack-puppet/modules/cinder/


%changelog
* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.3.1-3
- Add support for Dell EMC VMAX ISCSI backend

* Thu Nov 09 2017 shrjoshi <shrjoshi@redhat.com> 10.3.1-2
- [ocata] Add Puppet package to bindep, for module build
- Always set keymgr_api_class
- Read os_region_name from cinder.conf when doing requests with the Openstack client
- Fix path to ScaleIO backend driver

* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 10.3.1-1
- Update to 10.3.1

* Fri Feb 10 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


